Bug 1464194 - Review Request: Framework dependency package for supporting ixpdimm_sw which installs the CLI, CIM and the I18N frameworks
Review Request: Framework dependency package for supporting ixpdimm_sw which ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR 1382481
  Show dependency treegraph
 
Reported: 2017-06-22 11:45 EDT by Rutvij Karkhanis
Modified: 2017-08-08 16:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rutvij.g.karkhanis: fedora‑review?


Attachments (Terms of Use)
fedora-review build log (95.46 KB, text/plain)
2017-07-22 20:18 EDT, Dan Williams
no flags Details

  None (edit)
Description Rutvij Karkhanis 2017-06-22 11:45:17 EDT
Spec URL:

https://github.com/01org/invm-frameworks/releases/download/v01.00.00.2001/invm-frameworks.spec

SRPM URL:

https://github.com/01org/invm-frameworks/releases/download/v01.00.00.2001/invm-frameworks-01.00.00.2001-1.fc25.src.rpm

Description: Framework dependency package for supporting ixpdimm_sw which installs the CLI, CIM and the I18N frameworks on which the ixpdimm_sw depends on. 

Fedora Account System Username:rutvijk
Comment 1 Rutvij Karkhanis 2017-06-28 19:38:56 EDT
Spec URL:
https://github.com/01org/invm-frameworks/releases/download/v01.00.00.2001/invm-frameworks.spec

SRPM URL:
https://github.com/01org/invm-frameworks/releases/download/v01.00.00.2001/invm-frameworks-01.00.00.2001-1.fc25.src.rpm

Description: Framework dependency package for supporting ixpdimm_sw which installs the CLI, CIM and the I18N frameworks on which the ixpdimm_sw depends on. 

Fedora Account System Username:rutvijk
Comment 2 Dan Williams 2017-06-30 12:49:54 EDT
Is there a corresponding ixdimm_sw srpm with the updated dependency so I can review the integration?
Comment 3 Dan Williams 2017-07-22 20:18 EDT
Created attachment 1302942 [details]
fedora-review build log

fedora-review fails to build this package. I used the following build command:

fedora-review -rn invm-frameworks-01.00.00.2001-1.fc25.src.rpm -o \\-r\ fedora-26-x86_64\ \\-\\-clean\ \\-\\-no-cleanup-after
Comment 5 Rutvij Karkhanis 2017-08-03 19:21:52 EDT
Above are the URLs for the SRPM and the spec file after addressing the previous comments
Comment 6 Dan Williams 2017-08-03 20:19:40 EDT
Can we move this framework into a git submodule of the ixpdimm-sw project to make this simpler?
Comment 7 Rutvij Karkhanis 2017-08-08 11:13:29 EDT
We are working on creating a submodule.
Comment 8 Dan Williams 2017-08-08 16:29:16 EDT
(In reply to Rutvij Karkhanis from comment #7)
> We are working on creating a submodule.

Great, then we can close this request and work this all through updates to the ixpdimm-sw packaging.

Note You need to log in before you can comment on or make changes to this bug.